domingo, marzo 02, 2008

Firebird DBX4 Blob Fields

Aunque Firebird no es oficialmente soportado por el driver de interbase para dbexpress, se puede utilizar sin problemas hasta la versión de BSD 2006 (incluyendo los Turbo).
Ahora con la versión 2007 y DBX4 se puede seguir utilizando el driver de interbase, excepto si se usa campos Blobs. Ya que estos solo pueden ser leídos, pero no pueden ser actualizados. Lo cual representa un problema al querer migrar aplicaciones a la nueva versión de delphi y/o RAD Studio.

"El Problema" fue reportado en Quality Central pero CodeGear cerró el post argumentando que Firebird no es Interbase y el driver fue escritó para Interbase, por lo tanto no es un bug.


Supongo que poco a poco se irán separando cada vez más la base de datos Firebird e Interbase. Ojala y CodeGear desarrolle un driver para firebird ya que muchas de las aplicaciones hechas en delphi y BCB utilizan este servidor SQL.

No hay comentarios.:

Publicar un comentario